### Enumeration

# Qmi PbmSessionType

since: 1.6

#### Declaration

    enum Qmi.PbmSessionType

#### Description [src]

Type of phonebook management session.

Available since: 1.6

#### Members

`QMI_PBM_SESSION_TYPE_GW_PRIMARY`

  Access phonebooks under GSM DF (ICC) or USIM application (UICC).

  - Value: `0`
  - Available since: 1.6
`QMI_PBM_SESSION_TYPE_1X_PRIMARY`

  Access phonebooks under CDMA DF (ICC) or CSIM application (UICC).

  - Value: `1`
  - Available since: 1.6
`QMI_PBM_SESSION_TYPE_GW_SECONDARY`

  Access phonebooks under GSM DF (ICC) or USIM application (UICC). Dual standby.

  - Value: `2`
  - Available since: 1.6
`QMI_PBM_SESSION_TYPE_1X_SECONDARY`

  Access phonebooks under CDMA DF (ICC) or CSIM application (UICC). Dual standby.

  - Value: `3`
  - Available since: 1.6
`QMI_PBM_SESSION_TYPE_NONPROVISIONING_SLOT_1`

  Access phonebooks under a nonprovisioning application in slot 1.

  - Value: `4`
  - Available since: 1.6
`QMI_PBM_SESSION_TYPE_NONPROVISIONING_SLOT_2`

  Access phonebooks under a nonprovisioning application in slot 2.

  - Value: `5`
  - Available since: 1.6
`QMI_PBM_SESSION_TYPE_GLOBAL_PHONEBOOK_SLOT_1`

  Access phonebooks that are not in any application of the card in slot 1.

  - Value: `6`
  - Available since: 1.6
`QMI_PBM_SESSION_TYPE_GLOBAL_PHONEBOOK_SLOT_2`

  Access phonebooks that are not in any application of the card in slot 2.

  - Value: `7`
  - Available since: 1.6

#### Type functions

###### qmi_pbm_session_type_get_string

Gets the nickname string for the `QmiPbmSessionType` specified at `val`.

since: 1.6